Britive platform release 2026.03.01 is now live in production.

Update session attribute of a specified profile

Prev Next
Put
/api/paps/{papId}/session-attributes/{id}
Security
HTTP
Type bearer
Path parameters
papId
stringRequired
id
stringRequired
Body parameters
{
  "sessionAttributeType": "Static",
  "attributeSchemaId": null,
  "attributeValue": "IT",
  "mappingName": "pmtest_f",
  "transitive": false,
  "id": "a6xxui9m4ozga7mh1wpd"
}
object
id
string
attributeSchemaId
string

The id of the identity attribute. This is not required if sessionAttributeType is Static.

mappingName
string

The name of the attribute that should be included in the request to AWS, during profile checkout. This name should match the tag name defined in your AWS roles.

transitive
boolean

To allow role chaining, set the value to true.

sessionAttributeType
string
Valid values[ "Identity", "Static" ]
attributeValue
string

If the sessionAttributetype value is Static, then the attributeValue should not be empty.

Responses
204

No content